function ro() { 
    mount -o remount,ro / 
    blockdev --setrw /dev/sda1
    PS1="$_OLD_PS1"
}

function rw() {
	blockdev --setrw /dev/sda1
        mount -o remount,rw /
	_OLD_PS1="$PS1"
	PS1="[RW] $PS1"

        test "$#" = 0 && return;
        "$@"
        rc=$?
        ro
        return $rc
}
